60b1531398e21bfb&showmsg=1arset=UTF-8
Last-Modified: Wed, 26 Feb 2025 21:45:18 GMT
Expires: Sat, 24 Feb 2035 21:45:18 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>lua.yml « workflows « .github - minetest.git - modified minetest for gpcfs purposes</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/static/cgit.css'/>
<link rel='shortcut icon' href='//bananach.space/favicon.png'/>
<link rel='alternate' title='Atom feed' href='https://git.bananach.space/minetest.git/atom/.github/workflows/lua.yml?h=release' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='//bananach.space/bananach.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/minetest.git/'>minetest.git</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='5d0235e75788332d823d3f56313a76f9600c0a06'/><select name='h' onchange='this.form.submit();'>
<option value='gpcf'>gpcf</option>
<option value='lifo-fixes'>lifo-fixes</option>
<option value='release' selected='selected'>release</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>modified minetest for gpcfs purposes</td><td class='sub right'>gpcf</td></tr></table>
<table class='tabs'><tr><td>
<a href='/minetest.git/about/?h=release'>about</a><a href='/minetest.git/?h=release'>summary</a><a href='/minetest.git/refs/?h=release&amp;id=5d0235e75788332d823d3f56313a76f9600c0a06'>refs</a><a href='/minetest.git/log/.github/workflows/lua.yml?h=release'>log</a><a class='active' href='/minetest.git/tree/.github/workflows/lua.yml?h=release&amp;id=5d0235e75788332d823d3f56313a76f9600c0a06'>tree</a><a href='/minetest.git/commit/.github/workflows/lua.yml?h=release&amp;id=5d0235e75788332d823d3f56313a76f9600c0a06'>commit</a><a href='/minetest.git/diff/.github/workflows/lua.yml?h=release&amp;id=5d0235e75788332d823d3f56313a76f9600c0a06'>diff</a></td><td class='form'><form class='right' method='get' action='/minetest.git/log/.github/workflows/lua.yml'>
<input type='hidden' name='h' value='release'/><input type='hidden' name='id' value='5d0235e75788332d823d3f56313a76f9600c0a06'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/minetest.git/tree/?h=release&amp;id=5d0235e75788332d823d3f56313a76f9600c0a06'>root</a>/<a href='/minetest.git/tree/.github?h=release&amp;id=5d0235e75788332d823d3f56313a76f9600c0a06'>.github</a>/<a href='/minetest.git/tree/.github/workflows?h=release&amp;id=5d0235e75788332d823d3f56313a76f9600c0a06'>workflows</a>/<a href='/minetest.git/tree/.github/workflows/lua.yml?h=release&amp;id=5d0235e75788332d823d3f56313a76f9600c0a06'>lua.yml</a></div><div class='content'>blob: 21cbbdceecf09f9a864fe0d7aeb03e6a996bc710 (<a href='/minetest.git/plain/.github/workflows/lua.yml?h=release&amp;id=5d0235e75788332d823d3f56313a76f9600c0a06'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
<a id='n47' href='#n47'>47</a>
<a id='n48' href='#n48'>48</a>
<a id='n49' href='#n49'>49</a>
<a id='n50' href='#n50'>50</a>
<a id='n51' href='#n51'>51</a>
<a id='n52' href='#n52'>52</a>
<a id='n53' href='#n53'>53</a>
<a id='n54' href='#n54'>54</a>
<a id='n55' href='#n55'>55</a>
<a id='n56' href='#n56'>56</a>
<a id='n57' href='#n57'>57</a>
<a id='n58' href='#n58'>58</a>
<a id='n59' href='#n59'>59</a>
<a id='n60' href='#n60'>60</a>
<a id='n61' href='#n61'>61</a>
<a id='n62' href='#n62'>62</a>
<a id='n63' href='#n63'>63</a>
<a id='n64' href='#n64'>64</a>
<a id='n65' href='#n65'>65</a>
<a id='n66' href='#n66'>66</a>
<a id='n67' href='#n67'>67</a>
<a id='n68' href='#n68'>68</a>
<a id='n69' href='#n69'>69</a>
<a id='n70' href='#n70'>70</a>
<a id='n71' href='#n71'>71</a>
<a id='n72' href='#n72'>72</a>
</pre></td>
<td class='lines'><pre><code><span class="hl kwa">name:</span> lua_lint

<span class="hl slc"># Lint on lua changes on builtin or if workflow changed</span>
<span class="hl kwa">on:</span>
  <span class="hl kwa">push:</span>
    <span class="hl kwa">paths:</span>
      - <span class="hl str">&apos;builtin/**.lua&apos;</span>
      - <span class="hl str">&apos;games/devtest/**.lua&apos;</span>
      - <span class="hl str">&apos;.github/workflows/**.yml&apos;</span>
  <span class="hl kwa">pull_request:</span>
    <span class="hl kwa">paths:</span>
      - <span class="hl str">&apos;builtin/**.lua&apos;</span>
      - <span class="hl str">&apos;games/devtest/**.lua&apos;</span>
      - <span class="hl str">&apos;.github/workflows/**.yml&apos;</span>

<span class="hl kwa">jobs:</span>
  <span class="hl slc"># Note that the integration tests are also run build.yml, but only when C++ code is changed.</span>
  <span class="hl kwa">integration_tests:</span>
    <span class="hl kwa">name:</span> <span class="hl str">&quot;Compile and run multiplayer tests&quot;</span>
    runs-<span class="hl kwa">on:</span> ubuntu-<span class="hl num">20.04</span>
    <span class="hl kwa">steps:</span>
    - <span class="hl kwa">uses:</span> actions/checkout&#64;v<span class="hl num">3</span>
    - <span class="hl kwa">name:</span> Install deps
      <span class="hl kwa">run:</span> <span class="hl opt">|</span>
        source ./util/ci/common.sh
        install_linux_deps clang-<span class="hl num">10</span> gdb libluajit-<span class="hl num">5.1</span>-dev

    - <span class="hl kwa">name:</span> Build
      <span class="hl kwa">run:</span> <span class="hl opt">|</span>
        ./util/ci/build.sh
      <span class="hl kwa">env:</span>
        <span class="hl kwa">CC:</span> clang-<span class="hl num">10</span>
        <span class="hl kwa">CXX:</span> clang<span class="hl opt">++</span>-<span class="hl num">10</span>
        <span class="hl kwa">CMAKE_FLAGS:</span> <span class="hl str">&quot;-DENABLE_GETTEXT=0 -DBUILD_SERVER=0&quot;</span>

    - <span class="hl kwa">name:</span> Integration test <span class="hl opt">+</span> devtest
      <span class="hl kwa">run:</span> <span class="hl opt">|</span>
        ./util/test_multiplayer.sh

  <span class="hl kwa">luacheck:</span>
    <span class="hl kwa">name:</span> <span class="hl str">&quot;Builtin Luacheck and Unit Tests&quot;</span>
    runs-<span class="hl kwa">on:</span> ubuntu-<span class="hl num">20.04</span>

    <span class="hl kwa">steps:</span>

    - <span class="hl kwa">uses:</span> actions/checkout&#64;v<span class="hl num">3</span>
    - <span class="hl kwa">uses:</span> leafo/gh-actions-lua&#64;v<span class="hl num">9</span>
      <span class="hl kwa">with:</span>
        <span class="hl kwa">luaVersion:</span> <span class="hl str">&quot;5.1.5&quot;</span>
    - <span class="hl kwa">uses:</span> leafo/gh-actions-luarocks&#64;v<span class="hl num">4</span>

    - <span class="hl kwa">name:</span> Install LuaJIT
      <span class="hl kwa">run:</span> <span class="hl opt">|</span>
        cd $HOME
        <span class="hl kwc">git</span> clone <span class="hl kwa">https:</span>//github.com/LuaJIT/LuaJIT/
        cd LuaJIT
        make -j$<span class="hl opt">(</span>nproc<span class="hl opt">)</span>

    - <span class="hl kwa">name:</span> Install luarocks tools
      <span class="hl kwa">run:</span> <span class="hl opt">|</span>
        luarocks install --local luacheck
        luarocks install --local busted

    - <span class="hl kwa">name:</span> Run checks <span class="hl opt">(</span>builtin<span class="hl opt">)</span>
      <span class="hl kwa">run:</span> <span class="hl opt">|</span>
        $HOME/.luarocks/bin/luacheck builtin
        $HOME/.luarocks/bin/busted builtin
        $HOME/.luarocks/bin/busted builtin --<span class="hl kwd">lua</span><span class="hl opt">=</span>$HOME/LuaJIT/src/luajit

    - <span class="hl kwa">name:</span> Run checks <span class="hl opt">(</span>devtest<span class="hl opt">)</span>
      <span class="hl kwa">run:</span> <span class="hl opt">|</span>
        $HOME/.luarocks/bin/luacheck --<span class="hl kwd">config</span><span class="hl opt">=</span>games/devtest/.luacheckrc games/devtest
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3</a> (<a href='https://git-scm.com/'>git 2.39.1</a>) at 2025-02-26 21:45:18 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
